#include <bits/stdc++.h>
using namespace std;

int main() 
{
    //freopen("ulaz.txt", "r", stdin);
    //freopen("izlaz.txt", "w", stdout);
    int n;
    long long l;
    cin >> n >> l;
    vector<int> niz(n);
    for(int i = 0; i < n;i++)
    {
        cin>>niz[i];
    }
    for(int i = 0;i<n;i++)
    {
        if(niz[i]<=l)
        {
            cout<<(i+1)<<endl;
            return 0;
        }
    }
    cout<<-1<<endl;   
    return 0;
}